# include/board/Tools.h File Reference

More...

`#include <iostream>`
`#include <ctime>`
`#include <cstring>`
`#include "Tools.ih"`

Go to the source code of this file.

## Classes

class | LibBoard::MessageStream

## Defines

#define | SHOW(V) std::cerr << " " #V " = " << ( V ) << std::endl
#define | secured_sprintf snprintf

## Functions

void | LibBoard::secured_strncpy (char *dst, const char *src, size_t count)
void | LibBoard::secured_ctime (char *str, const time_t *t, size_t count)

## Variables

MessageStream | LibBoard::error
MessageStream | LibBoard::warning
MessageStream | LibBoard::notice

## Detailed Description

Author:
  Sebastien Fourey <http://www.greyc.ensicaen.fr/~seb>

Date:
  Nov 2008